Loading...
Searching...
No Matches
QGpgME::DecryptJob Class Referenceabstract

An abstract base class for asynchronous decrypters. More...

`#include <decryptjob.h>`

Inheritance diagram for QGpgME::DecryptJob:
[legend]
Collaboration diagram for QGpgME::DecryptJob:
[legend]

## Signals

void | result (const GpgME::DecryptionResult &result, const QByteArray &plainText, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const QByteArray &cipherText)=0
virtual void | start (const std::shared_ptr< QIODevice > &cipherText, const std::shared_ptr< QIODevice > &plainText=std::shared_ptr< QIODevice >())=0
virtual GpgME::DecryptionResult | exec (const QByteArray &cipherText, QByteArray &plainText)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| DecryptJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class for asynchronous decrypters.

To use a DecryptJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the decryption with a call to start(). This call might fail, in which case the DecryptJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the DecryptJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## start() [1/2]

virtual GpgME::Error QGpgME::DecryptJob::start | ( | const QByteArray & | cipherText | ) |

pure virtual

Starts the decryption operation. cipherText is the data to decrypt.

Implemented in QGpgME::QGpgMEDecryptJob.

## start() [2/2]

virtual void QGpgME::DecryptJob::start | ( | const std::shared_ptr< QIODevice > & | cipherText,
|  | const std::shared_ptr< QIODevice > & | plainText = std::shared_ptr< QIODevice >() )

pure virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

If plainText is non-null, the plaintext is written there. Otherwise, it will be delivered in the second argument of result().

Implemented in QGpgME::QGpgMEDecryptJob.

The documentation for this class was generated from the following files:

- decryptjob.h
- decryptjob.cpp